Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.OpenIDAuthenticatorOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.OpenIDAuthenticator`, `ClientWireProtocol.OpenIDAuthenticator.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.OpenIDAuthenticatorOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAllowOfflineAccess()`
`bool allowOfflineAccess = 9;`
`String`
`getClientId()`
`string clientId = 2;`
`ByteString`
`getClientIdBytes()`
`string clientId = 2;`
`boolean`
`getDisabled()`
`bool disabled = 4;`
`String`
`getIdentityProvider()`
`string identityProvider = 5;`
`ByteString`
`getIdentityProviderBytes()`
`string identityProvider = 5;`
`String`
`getIssuer()`
`string issuer = 1;`
`ByteString`
`getIssuerBytes()`
`string issuer = 1;`
`String`
`getRedirectHost()`
`optional string redirectHost = 6;`
`ByteString`
`getRedirectHostBytes()`
`optional string redirectHost = 6;`
`boolean`
`getRedirectSSL()`
`optional bool redirectSSL = 7;`
`String`
`getScope(int index)`
`repeated string scope = 3;`
`ByteString`
`getScopeBytes(int index)`
`repeated string scope = 3;`
`int`
`getScopeCount()`
`repeated string scope = 3;`
`List<String>`
`getScopeList()`
`repeated string scope = 3;`
`boolean`
`getServerSideTokenExchangeSupport()`
`bool serverSideTokenExchangeSupport = 8;`
`boolean`
`hasRedirectHost()`
`optional string redirectHost = 6;`
`boolean`
`hasRedirectSSL()`
`optional bool redirectSSL = 7;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getIssuer

String getIssuer()
`string issuer = 1;`

Returns:
  The issuer.

### getIssuerBytes

ByteString getIssuerBytes()
`string issuer = 1;`

Returns:
  The bytes for issuer.

### getClientId

String getClientId()
`string clientId = 2;`

Returns:
  The clientId.

### getClientIdBytes

ByteString getClientIdBytes()
`string clientId = 2;`

Returns:
  The bytes for clientId.

### getScopeList

List<String> getScopeList()
`repeated string scope = 3;`

Returns:
  A list containing the scope.

### getScopeCount

int getScopeCount()
`repeated string scope = 3;`

Returns:
  The count of scope.

### getScope

String getScope(int index)
`repeated string scope = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The scope at the given index.

### getScopeBytes

ByteString getScopeBytes(int index)
`repeated string scope = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the scope at the given index.

### getDisabled

boolean getDisabled()
`bool disabled = 4;`

Returns:
  The disabled.

### getIdentityProvider

String getIdentityProvider()
`string identityProvider = 5;`

Returns:
  The identityProvider.

### getIdentityProviderBytes

ByteString getIdentityProviderBytes()
`string identityProvider = 5;`

Returns:
  The bytes for identityProvider.

### hasRedirectHost

boolean hasRedirectHost()
`optional string redirectHost = 6;`

Returns:
  Whether the redirectHost field is set.

### getRedirectHost

String getRedirectHost()
`optional string redirectHost = 6;`

Returns:
  The redirectHost.

### getRedirectHostBytes

ByteString getRedirectHostBytes()
`optional string redirectHost = 6;`

Returns:
  The bytes for redirectHost.

### hasRedirectSSL

boolean hasRedirectSSL()
`optional bool redirectSSL = 7;`

Returns:
  Whether the redirectSSL field is set.

### getRedirectSSL

boolean getRedirectSSL()
`optional bool redirectSSL = 7;`

Returns:
  The redirectSSL.

### getServerSideTokenExchangeSupport

boolean getServerSideTokenExchangeSupport()
`bool serverSideTokenExchangeSupport = 8;`

Returns:
  The serverSideTokenExchangeSupport.

### getAllowOfflineAccess

boolean getAllowOfflineAccess()
`bool allowOfflineAccess = 9;`

Returns:
  The allowOfflineAccess.